QuickFIX: FIX::CharField Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::CharField Class Reference

Field that contains a character value. More...

`#include <Field.h>`

Inheritance diagram for FIX::CharField:
[legend]
Collaboration diagram for FIX::CharField:
[legend]

List of all members.

## Public Member Functions
| CharField (int field, char data)
| CharField (int field)
void | setValue (char value)
char | getValue () const throw ( IncorrectDataFormat )
| Get the string representation of the Field (i.e.) 55=MSFT[SOH].
| operator char () const

## Detailed Description

Field that contains a character value.

Definition at line 254 of file Field.h.

## Constructor & Destructor Documentation

FIX::CharField::CharField | ( | int | field,
|  | char | data |
| ) |  |  | `[inline, explicit]`

Definition at line 257 of file Field.h.

    00258 : FieldBase( field, CharConvertor::convert( data ) ) {}

FIX::CharField::CharField | ( | int | field | ) | `[inline]`

Definition at line 259 of file Field.h.

    00260 : FieldBase( field, "" ) {}

## Member Function Documentation

char FIX::CharField::getValue | ( |  | ) | const throw ( IncorrectDataFormat )`[inline]`

Get the string representation of the Field (i.e.) 55=MSFT[SOH].

Reimplemented from FIX::FieldBase.

Definition at line 264 of file Field.h.

    00265     { try
    00266       { return CharConvertor::convert( getString() ); }
    00267       catch( FieldConvertError& )
    00268       { throw IncorrectDataFormat( getField(), getString() ); } }

FIX::CharField::operator char | ( |  | ) | const`[inline]`

Definition at line 269 of file Field.h.

    00270     { return getValue(); }

void FIX::CharField::setValue | ( | char | value | ) | `[inline]`

Definition at line 262 of file Field.h.

    00263     { setString( CharConvertor::convert( value ) ); }

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Field.h